DynamicJava Javadoc: Class FinalVariableModifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.interpreter.modifier
Class FinalVariableModifier

    java.lang.Object
      |
      +--koala.dynamicjava.interpreter.modifier.LeftHandSideModifier
            |
            +--koala.dynamicjava.interpreter.modifier.VariableModifier
                  |
                  +--koala.dynamicjava.interpreter.modifier.FinalVariableModifier

public class FinalVariableModifier
extends VariableModifier

This interface represents objets that modify a final variable

Fields inherited from class koala.dynamicjava.interpreter.modifier.VariableModifier
`name, representation, type`

Constructor Summary
`FinalVariableModifier(QualifiedName name, java.lang.Class type)` Creates a new final variable modifier

Method Summary
`void` | `modify(Context ctx, java.lang.Object value)` Sets the value of the underlying left hand side expression

Methods inherited from class koala.dynamicjava.interpreter.modifier.VariableModifier
`prepare`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinalVariableModifier

    public FinalVariableModifier(QualifiedName name,
                                 java.lang.Class type)

  Creates a new final variable modifier
  Parameters:
    `name` - the node of that represents this variable
    `type` - the declared type of the variable

Method Detail

### modify

    public void modify(Context ctx,
                       java.lang.Object value)

  Sets the value of the underlying left hand side expression
  Overrides:
    `modify` in class `VariableModifier`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.